VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "cWindingCollection"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private m_col As Collection

' Initialize a new instance of this class
Private Sub Class_Initialize()
    Set m_col = New Collection
End Sub

' Add a new steel of the collection
Public Sub Add(ByVal wd As cWinding)
    Call m_col.Add(wd)
End Sub

' Remove the specified item form the collection
Public Sub Remove(ByVal lIndex As Long)
    Call m_col.Remove(lIndex)
End Sub

' Clear the collection
Public Sub Clear()
    Set m_col = New Collection
End Sub

' Return the number of core in the collection
Public Property Get Count() As Integer
    Count = m_col.Count
End Property

' Return the item with the specified index
Public Property Get Item(ByVal lIndex As Long) As cWinding
    Set Item = m_col.Item(lIndex)
End Property

' Replace the item with the specified index
Public Property Set Item(ByVal lIndex As Long, ByVal wd As cWinding)
    Call m_col.Remove(lIndex)
    If lIndex <= m_col.Count Then
        Call m_col.Add(wd, , lIndex)
    Else
        Call m_col.Add(wd)
    End If
End Property

Public Function GetWindingByName(ByVal strName As String) As cWinding
Dim wd As cWinding
    
    For Each wd In m_col
        If wd.Name = strName Then
            Set GetWindingByName = wd
            Exit Function
        End If
    Next
End Function

Public Property Get SectionSizeRatio() As Long
Dim wd As cWinding
    
    For Each wd In m_col
        SectionSizeRatio = SectionSizeRatio + wd.PercentWidth
    Next
    
    SectionSizeRatio = SectionSizeRatio \ 100
End Property
